#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8D,0xA3,0x4B,0xC5,0x4B,0x09,0xF9,0xF1,0x86,0x2E,0x96,0x18,
		0xC3,0xD8,0xF1,0xEB,0xA7,0xD8,0xC1,0x5B,0x2B,0x8D,0x6F,0xE7,
		0xF6,0x02,0x68,0x59,0x28,0x9B,0x9C,0x7D,0xD9,0x99,0xCD,0xCC,
		0xF7,0x91,0x3F,0xFF,0x82,0xDF,0x3E,0x8B,0x09,0x5D,0xC1,0x6C,
		0x65,0x05,0xE6,0x87,0x08,0x3E,0x57,0x5E,0x24,0x10,0x16,0x4B,
		0xD7,0xC4,0x7D,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
